<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@primitivefi/rmm-ethers](./rmm-ethers.md)

## rmm-ethers package

## Classes

|  Class | Description |
|  --- | --- |
|  [\_RmmContract](./rmm-ethers._rmmcontract.md) |  |
|  [EthersRmm](./rmm-ethers.ethersrmm.md) | <b><i>(BETA)</i></b> Exposes all public functions of this library. |
|  [EthersTransactionFailedError](./rmm-ethers.etherstransactionfailederror.md) | Thrown by [EthersRmm](./rmm-ethers.ethersrmm.md) in case of transaction failure. |
|  [PopulatableEthersRmm](./rmm-ethers.populatableethersrmm.md) | <b><i>(BETA)</i></b> Implements [PopulatableRmm](./rmm-ethers.populatablermm.md) |
|  [PopulatedEthersSignerTransaction](./rmm-ethers.populatedetherssignertransaction.md) | <b><i>(BETA)</i></b> Implements [PopulatedRmmTransaction](./rmm-ethers.populatedrmmtransaction.md) |
|  [Position](./rmm-ethers.position.md) | <b><i>(BETA)</i></b> Rmm liquidity position with a balance and poolId |
|  [ReadableEthersRmm](./rmm-ethers.readableethersrmm.md) | <b><i>(BETA)</i></b> Implements [ReadableRmm](./rmm-ethers.readablermm.md) |
|  [SendableEthersRmm](./rmm-ethers.sendableethersrmm.md) | <b><i>(BETA)</i></b> Ethers implementation of [SendableRmm](./rmm-ethers.sendablermm.md) |
|  [SentEthersRmmTransaction](./rmm-ethers.sentethersrmmtransaction.md) | <b><i>(BETA)</i></b> Implements [SentRmmTransaction](./rmm-ethers.sentrmmtransaction.md) |
|  [TransactionFailedError](./rmm-ethers.transactionfailederror.md) | Thrown by  functions in case of transaction failure. |

## Functions

|  Function | Description |
|  --- | --- |
|  [\_connectToNetwork(provider, signer, chainId)](./rmm-ethers._connecttonetwork.md) |  |
|  [parseTokenURI(uri)](./rmm-ethers.parsetokenuri.md) | Parses raw string URI encoded in Base64. |
|  [poolify(raw)](./rmm-ethers.poolify.md) | <b><i>(BETA)</i></b> Parses a raw RMM-LP uri string into a Pool entity. |

## Interfaces

|  Interface | Description |
|  --- | --- |
|  [\_TypedLogDescription](./rmm-ethers._typedlogdescription.md) |  |
|  [EngineCreationDetails](./rmm-ethers.enginecreationdetails.md) | Receipt details returned from deploying an Engine. |
|  [EthersCallOverrides](./rmm-ethers.etherscalloverrides.md) | Optional parameters taken by [ReadableEthersRmm](./rmm-ethers.readableethersrmm.md) functions. |
|  [EthersRmmConnection](./rmm-ethers.ethersrmmconnection.md) | <b><i>(BETA)</i></b> Provides information on connection to Rmm protocol. |
|  [EthersRmmConnectionOptional](./rmm-ethers.ethersrmmconnectionoptional.md) |  |
|  [EthersTransactionOverrides](./rmm-ethers.etherstransactionoverrides.md) | Optional parameters taken by [EthersRmm](./rmm-ethers.ethersrmm.md) transaction functions. |
|  [PopulatableRmm](./rmm-ethers.populatablermm.md) | <b><i>(BETA)</i></b> Prepare rmm transactions for sending from signer. |
|  [PopulatedRmmTransaction](./rmm-ethers.populatedrmmtransaction.md) | A ready to send transaction with generic types. |
|  [PositionAdjustmentDetails](./rmm-ethers.positionadjustmentdetails.md) | Receipt details returned from a transaction adjusting a Position. |
|  [ReadableRmm](./rmm-ethers.readablermm.md) | <b><i>(BETA)</i></b> Read state of Rmm protocol. |
|  [RmmStoreListenerParams](./rmm-ethers.rmmstorelistenerparams.md) | Parameters passed to  listeners. |
|  [SendableRmm](./rmm-ethers.sendablermm.md) |  |
|  [SentRmmTransaction](./rmm-ethers.sentrmmtransaction.md) |  |

## Variables

|  Variable | Description |
|  --- | --- |
|  [connectionFrom](./rmm-ethers.connectionfrom.md) | Constructs an  entity from the contracts and deployment. |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [\_TypedRmmContract](./rmm-ethers._typedrmmcontract.md) |  |
|  [\_TypeSafeContract](./rmm-ethers._typesafecontract.md) |  |
|  [EngineAddress](./rmm-ethers.engineaddress.md) | Aliased string to for Engine addresses. |
|  [EngineCreationParams](./rmm-ethers.enginecreationparams.md) | Parameters of deploy engine transaction. |
|  [EthersPopulatedTransaction](./rmm-ethers.etherspopulatedtransaction.md) | Alias of Ethers' <code>PopulatedTransaction</code> type, which implements [UnsignedTransaction](https://docs.ethers.io/v5/api/utils/transactions/#UnsignedTransaction)<!-- -->. |
|  [EthersProvider](./rmm-ethers.ethersprovider.md) | Alias of Ethers' abstract [Provider](https://docs.ethers.io/v5/api/providers/) type. |
|  [EthersSigner](./rmm-ethers.etherssigner.md) | Alias of Ethers' abstract [Signer](https://docs.ethers.io/v5/api/signer/) type. |
|  [EthersTransactionReceipt](./rmm-ethers.etherstransactionreceipt.md) | Alias of Ethers' [TransactionReceipt](https://docs.ethers.io/v5/api/providers/types/#providers-TransactionReceipt) type. |
|  [EthersTransactionRequest](./rmm-ethers.etherstransactionrequest.md) | Alias of Ethers' <code>TransactionRequest</code> type, which implements [TransactionRequest](https://docs.ethers.io/v5/api/providers/types/#providers-TransactionRequest)<!-- -->. |
|  [EthersTransactionResponse](./rmm-ethers.etherstransactionresponse.md) | Alias of Ethers' [TransactionResponse](https://docs.ethers.io/v5/api/providers/types/#providers-TransactionResponse) type. |
|  [FailedReceipt](./rmm-ethers.failedreceipt.md) | Indicates that the transaction has been mined, but it failed. |
|  [MinedReceipt](./rmm-ethers.minedreceipt.md) | Either a [FailedReceipt](./rmm-ethers.failedreceipt.md) or a [SuccessfulReceipt](./rmm-ethers.successfulreceipt.md)<!-- -->. |
|  [PendingReceipt](./rmm-ethers.pendingreceipt.md) | Indicates that the transaction hasn't been mined yet. |
|  [PositionAllocateParams](./rmm-ethers.positionallocateparams.md) | Parameters of an allocate transaction. |
|  [PositionBatchTransferParams](./rmm-ethers.positionbatchtransferparams.md) | Parameters of transferring a batch ERC-1155 liquidity tokens. |
|  [PositionRemoveParams](./rmm-ethers.positionremoveparams.md) | Parameters of removing liquidity transaction. |
|  [PositionTransferParams](./rmm-ethers.positiontransferparams.md) | Parameters of transferring ERC-1155 liquidity tokens. |
|  [RmmReceipt](./rmm-ethers.rmmreceipt.md) | One of either a [PendingReceipt](./rmm-ethers.pendingreceipt.md)<!-- -->, a [FailedReceipt](./rmm-ethers.failedreceipt.md) or a [SuccessfulReceipt](./rmm-ethers.successfulreceipt.md)<!-- -->. |
|  [RmmStoreState](./rmm-ethers.rmmstorestate.md) |  |
|  [SuccessfulReceipt](./rmm-ethers.successfulreceipt.md) | Indicates that the transaction has succeeded. |
|  [SwapParams](./rmm-ethers.swapparams.md) | Parameters of a swap transaction. |

